Skip to main content
PATCH
/
api
/
scans
/
{scan_id}
/
results
/
{result_id}
/
status
Update Result Status
curl --request PATCH \
  --url https://api.example.com/api/scans/{scan_id}/results/{result_id}/status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reviewer_id": 123,
  "review_note": "<string>",
  "false_positive": false
}
'
{
  "result_id": "<string>",
  "status": "<string>",
  "reviewer_id": 123,
  "reviewer_name": "<string>",
  "reviewer_email": "<string>",
  "review_note": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

scan_id
string
required
result_id
string
required

Cookies

antidote_session
string | null

Body

application/json
status
enum<string>
required
Available options:
pending,
reviewed,
marked,
dismissed
reviewer_id
integer | null
review_note
string | null
Maximum string length: 2000
false_positive
boolean
default:false

Response

Successful Response

result_id
string
required
status
string
required
reviewer_id
integer | null
reviewer_name
string | null
reviewer_email
string | null
review_note
string | null